import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import java.io.File;

public class Main {
    public static void main(String[] args) throws JAXBException {
        // 1
        File inFile = new File("cat.xml");

        // 2
        JAXBContext context = JAXBContext.newInstance(Cat.class);
        // 3
        Unmarshaller unmarshaller = context.createUnmarshaller();

        // 4
        Cat cat = (Cat) unmarshaller.unmarshal(inFile);

        System.out.println("десериализация завершена");

        System.out.println("name: " + cat.name);
        System.out.println("age: " + cat.age);
    }

    @XmlType(name = "cat")
    @XmlRootElement
    private static class Cat {
        String name;
        int age;

        public Cat() {
        }

        public void setName(String name) {
            this.name = name;
        }

        public void setAge(int age) {
            this.age = age;
        }

        public String getName() {
            return name;
        }

        public int getAge() {
            return age;
        }
    }
}
